##
##  watchman.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2018 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         watchman
Summary:      Filesystem Watching Utility
URL:          https://github.com/facebook/watchman
Vendor:       Facebook
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      Apache
Version:      4.9.0
Release:      20180428

#   list of sources
Source0:      https://github.com/facebook/watchman/archive/v%{version}.tar.gz
Patch0:       watchman.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, autoconf, automake
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Watchman exists to watch files and record when they actually change.
    It can also trigger actions (such as rebuilding assets) when
    matching files change.

%track
    prog watchman = {
        version   = %{version}
        url       = https://github.com/facebook/watchman/releases
        regex     = v(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_bash} autogen.sh
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --enable-conffile=%{l_prefix}/etc/watchman/watchman.conf \
        --enable-statedir=%{l_prefix}/var/watchman/sockets
    %{l_make} %{l_mflags -O} watchman

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/watchman \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat1 \
        $RPM_BUILD_ROOT%{l_prefix}/var/watchman/sockets
    %{l_shtool} install -c -s -m 755 \
        watchman $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        README.markdown $RPM_BUILD_ROOT%{l_prefix}/man/cat1/watchman.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%attr(1777,%{l_nusr},%{l_ngrp}) %{l_prefix}/var/watchman/sockets'

%files -f files

%clean

